Bug 73839 - mozilla-1.0.1-24.src.rpm won't configure
Summary: mozilla-1.0.1-24.src.rpm won't configure
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-11 22:06 UTC by Per Nystrom
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-11 22:06:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Per Nystrom 2002-09-11 22:06:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.19 i686)

Description of problem:
I'm trying to install mozilla-1.0.1-24.src.rpm on my system (mostly redhat 7.1)
and I get:

[ preceding lines cut ]
+ ./configure --prefix=/usr --enable-optimize --disable-debug
--with-default-mozilla-five-home=/usr/lib/mozilla-1.0.1 --enable-strip-libs
--disable-tests --disable-short-wchar --enable-nspr-autoconf
--enable-extensions=default,irc --without-mng --enable-crypto --disable-xprint
--without-system-nspr --with-system-zlib --disable-freetype2
--enable-old-abi-compat-wrappers --mandir=/usr/share/man
creating cache ./config.cache
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for gcc... gcc296
checking whether the C compiler (gcc296  ) works... no
configure: error: installation or configuration problem: C compiler cannot
create executables.
error: Bad exit status from /var/tmp/rpm-tmp.6575 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.6575 (%build)

However, if I then go directly to /usr/src/redhat/BUILD/mozilla and start
configure manually (with the same switches as above), it completes
successfully.  There is nothing wrong with gcc that I can see; I've built plenty
of other sources and a few SRPMS with it with no trouble at all.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm --rebuild mozilla-1.0.1-24.src.rpm


Actual Results:  configure complains that gcc doesn't work.

Expected Results:  configure should run successfully.

Additional info:

Comment 1 Christopher Blizzard 2002-09-12 05:24:48 UTC
That's not supported with that rpm spec file.


Note You need to log in before you can comment on or make changes to this bug.